import {
  Sha256,
  Sha512,
  string_to_bytes,
  bytes_to_base64,
} from '@openpgp/asmcrypto.js';

export const pushTrack = (db: any, payload: any) => {
  const sha = new Sha256();
  const result = sha
    .process(string_to_bytes(JSON.stringify(payload.track)))
    .finish().result;
  var _id;
  if (result === null) {
    console.log(`Can't hash`);
    _id = crypto.randomUUID();
  } else {
    _id = bytes_to_base64(result);
    console.log(`Digest: ${_id}`);
  }
  db.put({ _id, type: 'Track', ...payload });
};
